%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define gettext_package gnome-games

%define build_card 1
%define build_tali 1

%if %{build_card}
%define sol_schemas aisleriot.schemas
%define bj_schemas blackjack.schemas
%else
%define sol_schemas %{nil}
%define bj_schemas %{nil}
%endif

%if %{build_tali}
%define gtali_schemas gtali.schemas
%else
%define gtali_schemas %{nil}
%endif

%define glib2_version 2.12.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.5.0
%define desktop_file_utils_version 0.2.90

%define gnome_games_extra_data_version 2.21.91

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	GNOME games
Name: 		gnome-games
Version: 	2.22.1
Release: 	1
License: 	LGPL
Group: 		Games
Source: 	http://ftp.gnome.org/pub/gnome/sources/gnome-games/2.18/gnome-games-%{version}.tar.bz2
Source2: 	http://ftp.gnome.org/pub/gnome/sources/gnome-games-extra-data/2.17/gnome-games-extra-data-%{gnome_games_extra_data_version}.tar.bz2

BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
URL: 		http://www.gnome.org

Requires(post): scrollkeeper >= 0.1.4
Requires(postun): scrollkeeper >= 0.1.4
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

Requires: GConf

BuildRequires: glib-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2+-devel >= %{gtk2_version}
BuildRequires: PyGTK-devel
BuildRequires: gnome-python-desktop
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: scrollkeeper
BuildRequires: librsvg-devel
BuildRequires: guile-devel >= 1.6.5
BuildRequires: expat-devel

# Newer than internal gettext needed
BuildRequires: gettext
# Needed by intltool
BuildRequires: perl(XML::Parser)
BuildRequires: autoconf
BuildRequires: gnome-doc-utils

%description

The gnome-games package includes some small games that come with the
GNOME desktop environment but can be used under any desktop.

%prep
%setup -q

tar xjf %{SOURCE2}

#cp -f gnometris/sounds/gameover.wav gnobots2/bad.wav
#cp -f gnometris/sounds/gameover.wav gnibbles/sounds/pop.wav

%build

autoconf
pushd gnome-games-extra-data-%{gnome_games_extra_data_version}
%configure --disable-howl --sysconfdir=/%_sysconfdir/gnome --disable-scrollkeeper
make
popd

export CFLAGS="$RPM_OPT_FLAGS -DNO_HOWL"
%configure --localstatedir=/var/lib --sysconfdir=/%_sysconfdir/gnome  --disable-scrollkeeper
make 


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

pushd gnome-games-extra-data-%{gnome_games_extra_data_version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#
# lawyers are fun
# lawyers are fun little
#
rm -f $RPM_BUILD_ROOT%{_bindir}/gnometris
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnometris.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnometris.schemas

%if ! %{build_card}
rm -rf $RPM_BUILD_ROOT%{_datadir}/blackjack
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/blackjack.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/blackjack
rm -f $RPM_BUILD_ROOT%{_datadir}/omf/gnome-games/blackjack-C.omf
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/blackjack
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-blackjack.png
rm -f $RPM_BUILD_ROOT%{_bindir}/blackjack
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/blackjack.schemas

rm -rf $RPM_BUILD_ROOT%{_datadir}/sol-games
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/freecell.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/sol.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/aisleriot
rm -f $RPM_BUILD_ROOT%{_datadir}/omf/gnome-games/aisleriot*
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-cardgame.png
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-aisleriot.png
rm -f $RPM_BUILD_ROOT%{_bindir}/sol
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/aisleriot.schemas

rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/cards
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-games-common/cards
%endif

%if ! %{build_tali}
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gtali.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gtali
rm -f $RPM_BUILD_ROOT%{_datadir}/omf/gnome-games/gtali*
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gtali
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-gtali.png
rm -f $RPM_BUILD_ROOT%{_bindir}/gtali
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gconf/schemas/gtali.schemas
%endif

## things we just don't want in the package

rm -rf $RPM_BUILD_ROOT%{_libdir}/libgdkcardimage.*a
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%if %{build_tali}
perl -pi -e 's@<default></default>@<default>[Joe,Jim,James]</default>@g' $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/gtali.schemas
%endif

# we need this in %%post
cp gnect/data/gnect-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz
cp gnibbles/gnibbles-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz
cp iagno/iagno-client.dsc $RPM_BUILD_ROOT%{_datadir}/ggz

# but we don't want this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ggz.modules


%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
(cd %{_sysconfdir}/gnome/gconf/schemas;   \
gconftool-2 --makefile-install-rule \
	%{sol_schemas}              \
	%{bj_schemas}               \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnomine.schemas             \
	gnotravex.schemas           \
	gnotski.schemas             \
	gtali.schemas               \
	iagno.schemas               \
	mahjongg.schemas            \
	same-gnome.schemas          \
> /dev/null || : )

touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
/usr/sbin/useradd -c 'games' -u 202 -s /sbin/nologin -d '/var/lib/games' games 2> /dev/null || :
/usr/sbin/groupadd -g 202 games &>/dev/null || :

if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gnome/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{sol_schemas}              \
	%{bj_schemas}               \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnomine.schemas             \
	gnotravex.schemas           \
	gnotski.schemas             \
	gtali.schemas               \
	iagno.schemas               \
	mahjongg.schemas            \
	same-gnome.schemas          \
> /dev/null || : )
fi

ggz-config -i -f -m %{_datadir}/ggz/gnect-client.dsc >& /dev/null || :
ggz-config -i -f -m %{_datadir}/ggz/gnibbles-client.dsc >& /dev/null || :
ggz-config -i -f -m %{_datadir}/ggz/iagno-client.dsc >& /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  (cd %{_sysconfdir}/gnome/gconf/schemas;   \
  gconftool-2 --makefile-uninstall-rule \
	%{sol_schemas}              \
	%{bj_schemas}               \
	glchess.schemas             \
	glines.schemas              \
	gnect.schemas               \
	gnibbles.schemas            \
	gnobots2.schemas            \
	gnometris.schemas           \
	gnomine.schemas             \
	gnotravex.schemas           \
	gnotski.schemas             \
	gtali.schemas               \
	iagno.schemas               \
	mahjongg.schemas            \
	same-gnome.schemas          \
> /dev/null || : )

  ggz-config -r -m %{_datadir}/ggz/gnect-client.dsc >& /dev/null || :
  ggz-config -r -m %{_datadir}/ggz/gnibbles-client.dsc >& /dev/null || :
  ggz-config -r -m %{_datadir}/ggz/iagno-client.dsc >& /dev/null || :

fi

%postun
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel games &>/dev/null || :
    /usr/sbin/groupdel games &>/dev/null || :
fi
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_datadir}/gnome/help/*
%{_datadir}/applications/*
%{_datadir}/gnome-games
%{_datadir}/gnect
%{_datadir}/pixmaps/*
%{_datadir}/gnobots2
#%{_datadir}/sounds
%{_datadir}/gnibbles
#%if %{build_card}
#%{_datadir}/sol-games
#%{_datadir}/blackjack
#%endif
%{_datadir}/glchess
%{_datadir}/gnome-sudoku
%{_datadir}/omf/gnome-games
%{_datadir}/omf/glchess
%{_datadir}/omf/glines
%{_datadir}/omf/gnect
%{_datadir}/omf/same-gnome
%{_datadir}/icons/hicolor/*
#%config %{_sysconfdir}/gnome/sound/events/*
%config(noreplace) %attr(664, games, games) /var/lib/games/*
%{python_sitelib}/glchess
%{python_sitelib}/gnome_sudoku
%_libdir/gnome-games/gnome-games-render-cards
%_datadir/gnome-games-common/
%_datadir/omf/
# gconf schemas
%if %{build_card}
%{_sysconfdir}/gnome/gconf/schemas/aisleriot.schemas
%{_sysconfdir}/gnome/gconf/schemas/blackjack.schemas
%endif
%{_sysconfdir}/gnome/gconf/schemas/glines.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnect.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnibbles.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnobots2.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnometris.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnomine.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnotravex.schemas
%{_sysconfdir}/gnome/gconf/schemas/gnotski.schemas
%{_sysconfdir}/gnome/gconf/schemas/gtali.schemas
%{_sysconfdir}/gnome/gconf/schemas/iagno.schemas
#%{_sysconfdir}/gnome/gconf/schemas/libgnomegames.schemas
%{_sysconfdir}/gnome/gconf/schemas/mahjongg.schemas
%{_sysconfdir}/gnome/gconf/schemas/same-gnome.schemas
%{_sysconfdir}/gnome/gconf/schemas/glchess.schemas
# these are not setgid games
%{_bindir}/gnect
%if %{build_card}
%{_bindir}/blackjack
%{_bindir}/sol
%endif
%{_bindir}/glchess
%{_bindir}/gnome-gnuchess
%{_bindir}/gnome-sudoku
%{_datadir}/ggz
# these are setgid games
%attr(2551, root, games) %{_bindir}/gnomine
%attr(2551, root, games) %{_bindir}/same-gnome
%attr(2551, root, games) %{_bindir}/mahjongg
%if %{build_tali}
%attr(2551, root, games) %{_bindir}/gtali
%endif
%attr(2551, root, games) %{_bindir}/gnobots2
%attr(2551, root, games) %{_bindir}/gnotravex
%attr(2551, root, games) %{_bindir}/gnotski
%attr(2551, root, games) %{_bindir}/gnibbles
%attr(2551, root, games) %{_bindir}/glines
%attr(2551, root, games) %{_bindir}/iagno
%{_datadir}/ggz


%changelog
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.22.1-1
- Version update
* Mon Mar 17 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20.2-2
- rebuilt against libtool 1.5.24
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-2
- corrected package group
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-1
- Version update
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-3
- addition of games group/user
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- fixed group to users
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Initial release
